2 Replies Latest reply: Aug 6, 2012 8:48 AM by woodmanp
carolbao Level 1 Level 1 (0 points)

I need update my mac os x 10.5.8 to mac os x 10.6.8


iMac (21.5-inch Late 2009), Mac OS X (10.5.8)